For the complete documentation index, see llms.txt. This page is also available as Markdown.

Node

List all nodes

get
Responses
default

default response

application/json
createdDatestring · date-timeOptional
hostNamestringOptional
idstring · uuidOptional
managedServiceIdSetstring · uuid[]Optional
modifiedDatestring · date-timeOptional
namestringOptional
portinteger · int32Optional
get/node
GET /rest/node HTTP/1.1
Accept: */*
default

default response

[
  {
    "createdDate": "2026-01-01T00:00:00.000Z",
    "hostName": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "managedServiceIdSet": [
      "123e4567-e89b-12d3-a456-426614174000"
    ],
    "modifiedDate": "2026-01-01T00:00:00.000Z",
    "name": "text",
    "port": 1
  }
]

Add a node

post
Body
createdDatestring · date-timeOptional
hostNamestringOptional
idstring · uuidOptional
managedServiceIdSetstring · uuid[]Optional
modifiedDatestring · date-timeOptional
namestringOptional
portinteger · int32Optional
Responses
default

default response

application/json
createdDatestring · date-timeOptional
hostNamestringOptional
idstring · uuidOptional
managedServiceIdSetstring · uuid[]Optional
modifiedDatestring · date-timeOptional
namestringOptional
portinteger · int32Optional
post/node
POST /rest/node HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 232

{
  "createdDate": "2026-01-01T00:00:00.000Z",
  "hostName": "text",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "managedServiceIdSet": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "modifiedDate": "2026-01-01T00:00:00.000Z",
  "name": "text",
  "port": 1
}
default

default response

{
  "createdDate": "2026-01-01T00:00:00.000Z",
  "hostName": "text",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "managedServiceIdSet": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "modifiedDate": "2026-01-01T00:00:00.000Z",
  "name": "text",
  "port": 1
}

Get a node by ID

get
Path parameters
nodeIdstring · uuidRequired

The ID of the target node

Responses
default

default response

application/json
createdDatestring · date-timeOptional
hostNamestringOptional
idstring · uuidOptional
managedServiceIdSetstring · uuid[]Optional
modifiedDatestring · date-timeOptional
namestringOptional
portinteger · int32Optional
get/node/{nodeId}
GET /rest/node/{nodeId} HTTP/1.1
Accept: */*
default

default response

{
  "createdDate": "2026-01-01T00:00:00.000Z",
  "hostName": "text",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "managedServiceIdSet": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "modifiedDate": "2026-01-01T00:00:00.000Z",
  "name": "text",
  "port": 1
}

Change an existing node

put
Path parameters
nodeIdstring · uuidRequired

The ID of the target node

Body
createdDatestring · date-timeOptional
hostNamestringOptional
idstring · uuidOptional
managedServiceIdSetstring · uuid[]Optional
modifiedDatestring · date-timeOptional
namestringOptional
portinteger · int32Optional
Responses
default

default response

application/json
createdDatestring · date-timeOptional
hostNamestringOptional
idstring · uuidOptional
managedServiceIdSetstring · uuid[]Optional
modifiedDatestring · date-timeOptional
namestringOptional
portinteger · int32Optional
put/node/{nodeId}
PUT /rest/node/{nodeId} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 232

{
  "createdDate": "2026-01-01T00:00:00.000Z",
  "hostName": "text",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "managedServiceIdSet": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "modifiedDate": "2026-01-01T00:00:00.000Z",
  "name": "text",
  "port": 1
}
default

default response

{
  "createdDate": "2026-01-01T00:00:00.000Z",
  "hostName": "text",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "managedServiceIdSet": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "modifiedDate": "2026-01-01T00:00:00.000Z",
  "name": "text",
  "port": 1
}

Remove a node

delete
Path parameters
nodeIdstring · uuidRequired

The ID of the target node

Responses
204

successful operation

No content

delete/node/{nodeId}
DELETE /rest/node/{nodeId} HTTP/1.1
Accept: */*
204

successful operation

No content

Get the status of a node

get
Path parameters
nodeIdstring · uuidRequired

The ID of the target node

Responses
default

default response

application/json
string · enumOptionalPossible values:
get/node/{nodeId}/status
GET /rest/node/{nodeId}/status HTTP/1.1
Accept: */*
default

default response

UP

Last updated

Was this helpful?